---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: nginx-test1
  namespace: ingress-nginx
spec:
  selector:
    matchLabels:
      app: app-nginx-test1
  replicas: 1
  template:
    metadata:
      labels:
        app: app-nginx-test1
    spec:
      containers:
      - name: container-nginx-test1
        image: registry.gitlab.com/kamkhub/hpc/docker/kamkhub-hpc-docker-general/nginx-test1
        resources:
          limits:
            memory: "200Mi"
            cpu: "100m"
          requests:
            memory: "100Mi"
        ports:
        - containerPort: 80
---
apiVersion: v1
kind: Service
metadata:
  name: service-nginx-test1
  namespace: ingress-nginx
  labels:
    app: app-nginx-test1
spec:
  selector:
    app: app-nginx-test1
  ports:
    - name: port-nginx-test1
      port: 80
      targetPort: 80
  #type: ClusterIP
---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: ingress-nginx-test1
  namespace: ingress-nginx
spec:
  ingressClassName: nginx
  rules:
  - host: local-nginx-test1.kamkhub.fi
    http:
      paths:
      - path: /
        pathType: Prefix
        backend:
          service:
            name: service-nginx-test1
            port:
              number: 80
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: nginx-test2
  namespace: ingress-nginx
spec:
  selector:
    matchLabels:
      app: app-nginx-test2
  replicas: 1
  template:
    metadata:
      labels:
        app: app-nginx-test2
    spec:
      containers:
      - name: container-nginx-test2
        image: registry.gitlab.com/kamkhub/hpc/docker/kamkhub-hpc-docker-general/nginx-test2
        resources:
          limits:
            memory: "200Mi"
            cpu: "100m"
          requests:
            memory: "100Mi"
        ports:
        - containerPort: 80
---
apiVersion: v1
kind: Service
metadata:
  name: service-nginx-test2
  namespace: ingress-nginx
  labels:
    app: app-nginx-test2
spec:
  selector:
    app: app-nginx-test2
  ports:
    - name: port-nginx-test2
      port: 80
      targetPort: 80
  #type: ClusterIP
---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: ingress-nginx-test2
  namespace: ingress-nginx
spec:
  ingressClassName: nginx
  rules:
  - host: local-nginx-test2.kamkhub.fi
    http:
      paths:
      - path: /
        pathType: Prefix
        backend:
          service:
            name: service-nginx-test2
            port:
              number: 80
